Subject: bug#16039: repeated emacs crashes (in GC?)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Dec 2013 18:01:21 +0200

> Date: Tue, 3 Dec 2013 16:55:43 +0200
> From: emacs user <[email-masked]>
> 
> I wrote YAMAMOTO Mitsuharu, the Emacs for mac developer, and his response is
> 
> > The backtrace shows that the stack is used up because some deeply
> > nested Lisp data structure is recursively traversed in garbage
> > collection (or possibly an unknown bug in the GC code).  In normal OSX
> > applications, the stack depth for the main thread is set to 8MiB by
> > default, and Emacs slightly enlarges it to 8720000B (on 64-bit binary)
> > by some formula in src/emacs.c:

What is the evidence that the stack is used up?  Having 136 thousand
frames during GC is not unheard of.